Kerbal Space Program - Bug #25860

Random Inputs With Robotic Parts
07/29/2020 02:36 PM - Squookity

Status: Need More Info Start date: 07/29/2020
Severity: Low % Done: 0%
Assignee:

Category: Robotics

Target version:

Version: 1.10.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

When a vessel launched from the VAB has parts from the Breaking Ground expansion, | find that attempting to re-orientate the craft
becomes impossible while SAS is enabled, as it forces the ship to point towards the pro-grade direction, but ONLY when SAS is
enabled. When disabled, the game receives "phantom" inputs. | use the term "phantom”, as there is no real input causing these
movements. The pitch and yaw alternating between the two directions simultaneously, and constant hard left roll. This makes it
impossible to fly crafts with robotic parts attached properly.

--Steps to recreate--

Add a hinge, a piston and a rotor servo to a rocket

Launch the vessel

Achieve an orbit

Increase time warp to x10 and decrease it back to x1

Disable Stability Assist

History

#1 - 07/29/2020 03:02 PM - 14bauhr

- Status changed from New to Need More Info

What is a phantom input?

#2 - 07/30/2020 08:14 AM - Squookity
- Description updated
